Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "8293fee7-8faa-48fc-ba45-cce498df3471",
  "user_id": "96aa3998-32f0-4a8d-9fa0-0b877f6229ea",
  "user_planning_slot_type_id": "469c1d62-fad7-4fcd-ab3a-e1bc58a70328",
  "date_from": "2026-10-31T22:51:53.6957493+00:00",
  "date_to": "2026-10-31T22:51:53.6957493+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-31T22:51:53.6957493+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.